Subject: [bug#78781] Request for merging "go-team" branch

From: Andreas Enge <[email-masked]>
Date: Thu, 7 Aug 2025 09:56:37 +0200

Am Wed, Aug 06, 2025 at 04:59:32PM +0200 schrieb Andreas Enge:
> I think not a single package has been built since this morning.
> There has been a "guix gc" running since 2am (!)

So if I understand the output of "ps" correctly, 30 hours of "guix gc",
and not a single go-team package built. I have killed the gc process,
for good measure restarted the daemon, the build coordinator and
qa-frontpage, and hope things will pick up.

I see errors in the log file of qa-frontpage, trying to talk to the
build coordinator:
2025-08-07 09:49:40 In knots/timeout.scm:
2025-08-07 09:49:40     203:4 11 (with-port-timeouts _ #:timeout _ #:read-timeout _ #:write-timeout _)
2025-08-07 09:49:40 In guix-qa-frontpage/manage-builds.scm:
2025-08-07 09:49:40    600:29 10 (_)
2025-08-07 09:49:40 In guix-build-coordinator/client-communication.scm:
2025-08-07 09:49:40   1028:15  9 (fold-builds "http://127.0.0.1:8746" #<procedure 7f5b0ba074b8 at guix-qa-frontpage/manage-builds.scm:552:5 (build-details result)> () #:tags _ #:not-tags _ #:systems _ #:not-systems _ #:processed _ #:canceled _ #:priority-> _ #:priority-< _ #:created-at-> _ #:created-at-< _ #:relationship _ #:after-id _ #:limit _ #:port _)
2025-08-07 09:49:40    813:11  8 (send-request "http://127.0.0.1:8746" GET "/builds?tag=branch:go-team&not_tag=revision:7ca1cb9db6c3e6c6ca8158a02275ef204957180d&processed=false&canceled=false&relationship=no-dependent-builds" #:request-body _ #:port _)
2025-08-07 09:49:40 In web/client.scm:
2025-08-07 09:49:40    533:24  7 (http-request _ #:body _ #:verify-certificate? _ #:port _ #:method _ #:version _ #:keep-alive? _ #:headers _ #:decode-body? _ #:streaming? _ #:request _)
2025-08-07 09:49:40 In web/response.scm:
2025-08-07 09:49:40    196:32  6 (read-response #<input-output: socket 122>)
2025-08-07 09:49:40 In web/http.scm:
2025-08-07 09:49:40   1198:15  5 (read-response-line _)
2025-08-07 09:49:40    159:10  4 (read-header-line _)
2025-08-07 09:49:40 In ice-9/suspendable-ports.scm:
2025-08-07 09:49:40    681:11  3 (read-delimited _ _ _)
2025-08-07 09:49:40    184:27  2 (fill-input #<input-output: socket 122> _ _)
2025-08-07 09:49:40     67:33  1 (read-bytes #<input-output: socket 122> #vu8(110 115 115 45 117 112 100 97 116 101 115 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 …) …)

But debugging this is beyond my knowledge.

Andreas